List email suppressions for a hub
curl --request GET \
--url https://api.member.dev/v1/hubs/{hub_id}/email-suppressions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.member.dev/v1/hubs/{hub_id}/email-suppressions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.member.dev/v1/hubs/{hub_id}/email-suppressions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"email_address": "<string>",
"is_active": true,
"reason": "<string>",
"scope": "<string>",
"suppressed_at": "<unknown>",
"hub_id": "<string>",
"lifted_at": null,
"lifted_by": "<string>",
"source_event_type": "<string>",
"team_id": "<string>"
},
"id": "<string>",
"links": {},
"type": "email_suppressions"
}
],
"links": {},
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}email-suppressions-hub
List email suppressions for a hub
List active suppressions scoped to this hub.
Only returns rows where hub_id matches the path parameter. Platform-scope and other-hub rows are filtered out by hub_id filter.
GET
/
v1
/
hubs
/
{hub_id}
/
email-suppressions
List email suppressions for a hub
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I